de.dhbwstuttgart.syntaxtree.statement

## Class LambdaParameter

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.FormalParameter
    - - de.dhbwstuttgart.syntaxtree.statement.LambdaParameter

All Implemented Interfaces:
  IItemWithOffset, Typeable, TypeInsertable

    public class LambdaParameter
    extends FormalParameter

Der FormalParameter einer LambdaExpression hat gesonderte Eigenschaften.

Author:
  janulrich

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.FormalParameter

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`LambdaParameter(FormalParameter fp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeInsertPoint` `createTypeInsertPoint(TypePlaceholder tph, ResultSet resultSet)` Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable.

### Methods inherited from class de.dhbwstuttgart.syntaxtree.FormalParameter

`equals, getChildren, getDeclId, getDescription, getIdentifier, getLineNumber, getOffset, getType, getTypeInformation, getTypeLineNumber, getTypeName, getVariableLength, parserPostProcessing, printJavaCode, set_DeclId, setOffset, setType, toString`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaParameter

    public LambdaParameter(FormalParameter fp)

### Method Detail

#### createTypeInsertPoint

    public TypeInsertPoint createTypeInsertPoint(TypePlaceholder tph,
                                                 ResultSet resultSet)

Description copied from interface: `TypeInsertable`
Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable. TypeInsertPoints sollten nur Ã¼ber diese Funktion erstellt werden.

Specified by:
  `createTypeInsertPoint` in interface `TypeInsertable`
Overrides:
  `createTypeInsertPoint` in class `FormalParameter`
Returns:
  - kann auch null zurÃ¼ckgeben.